WriterPlsParserInternal::ParagraphData Struct Reference

Internal: class to store the beginning of all paragraph data. More...

## Public Member Functions

| ParagraphData ()
| Constructor.

## Public Attributes

int | m_type
int | m_typeFlag
int | m_height
int | m_width
int | m_indent [2]
int | m_unknown
std::string | m_text
std::vector< Font > | m_fonts
long | m_endPos
int | m_numData [2]

## Friends

std::ostream & | operator<< (std::ostream &o, ParagraphData const &p)
| operator<<

## Detailed Description

Internal: class to store the beginning of all paragraph data.

## Constructor & Destructor Documentation

## ParagraphData()

WriterPlsParserInternal::ParagraphData::ParagraphData | ( |  | ) |

inline

Constructor.

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | ParagraphData const & | p )

friend

operator<<

## Member Data Documentation

## m_endPos

long WriterPlsParserInternal::ParagraphData::m_endPos

Referenced by ParagraphData(), WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), WriterPlsParser::readText(), and WriterPlsParser::readUnknown().

## m_fonts

std::vector<Font> WriterPlsParserInternal::ParagraphData::m_fonts

Referenced by ParagraphData(), WriterPlsParser::readParagraphData(), and WriterPlsParser::readText().

## m_height

int WriterPlsParserInternal::ParagraphData::m_height

Referenced by operator<<, ParagraphData(), and WriterPlsParser::readParagraphData().

## m_indent

int WriterPlsParserInternal::ParagraphData::m_indent[2]

Referenced by WriterPlsParser::getParagraph(), operator<<, ParagraphData(), and WriterPlsParser::readParagraphData().

## m_numData

int WriterPlsParserInternal::ParagraphData::m_numData[2]

Referenced by ParagraphData(), WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), WriterPlsParser::readText(), and WriterPlsParser::readUnknown().

## m_text

std::string WriterPlsParserInternal::ParagraphData::m_text

Referenced by operator<<, ParagraphData(), WriterPlsParser::readParagraphData(), and WriterPlsParser::readText().

## m_type

int WriterPlsParserInternal::ParagraphData::m_type

Referenced by operator<<, ParagraphData(), WriterPlsParser::readGraphic(), WriterPlsParser::readParagraphData(), WriterPlsParser::readSection(), WriterPlsParser::readTable(), WriterPlsParser::readText(), and WriterPlsParser::readUnknown().

## m_typeFlag

int WriterPlsParserInternal::ParagraphData::m_typeFlag

Referenced by operator<<, ParagraphData(), and WriterPlsParser::readParagraphData().

## m_unknown

int WriterPlsParserInternal::ParagraphData::m_unknown

Referenced by operator<<, ParagraphData(), and WriterPlsParser::readParagraphData().

## m_width

int WriterPlsParserInternal::ParagraphData::m_width

Referenced by WriterPlsParser::getParagraph(), operator<<, ParagraphData(), and WriterPlsParser::readParagraphData().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx